@-webkit-keyframes rotate{
				from{-webkit-transform:rotate(0deg)}
				to{-webkit-transform:rotate(360deg)}
				}
			@-moz-keyframes rotate{
				from{-moz-transform:rotate(0deg)}
				to{-moz-transform:rotate(360deg)}
				}
			@-ms-keyframes rotate{
				from{-ms-transform:rotate(0deg)}
				to{-ms-transform:rotate(360deg)}
				}
			@-o-keyframes rotate{
				from{-o-transform:rotate(0deg)}
				to{-o-transform:rotate(360deg)}
				}